com.trilead.ssh2.crypto.cipher

## Interface BlockCipher

All Known Implementing Classes:
  AES, BlowFish, CBCMode, CTRMode, DES, DESede, NullCipher

    public interface BlockCipher

BlockCipher.

### Method Summary

Methods
`int` `getBlockSize()`
`void` `init(boolean forEncryption, byte[] key)`
`void` `transformBlock(byte[] src, int srcoff, byte[] dst, int dstoff)`

### Method Detail

#### init

    void init(boolean forEncryption,
            byte[] key)

#### getBlockSize

    int getBlockSize()

#### transformBlock

    void transformBlock(byte[] src,
                      int srcoff,
                      byte[] dst,
                      int dstoff)